<template>
    <div class="wrapper" id="second_section">
        <!-- <NavSection  colorLink="red" colorLine="blue" ></NavSection> -->
        <div class="salesUp">
            <h2 class="salesUp__title section-title">{{ local.salesIncrement[$lang] }}</h2>
            <p
                class="salesUp__description section-description"
            >{{ local.secondSectionDescription[$lang] }}</p>
            <ul class="salesUp__list-advantages">
                <li class="advantage salesUp__item-advantages">
                    <div class="advantage__wrapper">
                        <div class="advantage__progress advantage__progress--block1">
                            <span class="advantage__progress-count">284</span>
                            <span class="advantage__progress-text">{{ local.before[$lang] }}</span>
                        </div>
                        <div
                            class="advantage__progress advantage__progress--yellow advantage__progress--block2"
                        >
                            <span class="advantage__progress-count">328</span>
                            <span class="advantage__progress-text">{{ local.after[$lang] }}</span>
                        </div>
                    </div>
                    <div class="advantage__line"></div>
                    <div class="advantage__wrapper-right">
                        <p
                            class="advantage__description advantage__description"
                            v-html="local.averageSum[$lang]"
                        ></p>
                        <span class="advantage__percent">+15%</span>
                    </div>
                </li>
                <li class="advantage salesUp__item-advantages">
                    <div class="advantage__wrapper">
                        <div class="advantage__progress advantage__progress--block3">
                            <span class="advantage__progress-count">2625</span>
                            <span class="advantage__progress-text">{{ local.before[$lang] }}</span>
                        </div>
                        <div
                            class="advantage__progress advantage__progress--yellow advantage__progress--block4"
                        >
                            <span class="advantage__progress-count">3057</span>
                            <span class="advantage__progress-text">{{ local.after[$lang] }}</span>
                        </div>
                    </div>
                    <div class="advantage__line"></div>
                    <div class="advantage__wrapper-right">
                        <p class="advantage__description">{{ local.repeatableShopCount[$lang] }}</p>
                        <span class="advantage__percent">+16%</span>
                    </div>
                </li>
                <li class="advantage salesUp__item-advantages">
                    <div class="advantage__wrapper">
                        <div class="advantage__progress advantage__progress--block5">
                            <span class="advantage__progress-count">5</span>
                            <span class="advantage__progress-text">{{ local.before[$lang] }}</span>
                        </div>
                        <div
                            class="advantage__progress advantage__progress--yellow advantage__progress--block6"
                        >
                            <span class="advantage__progress-count">7</span>
                            <span class="advantage__progress-text">{{ local.after[$lang] }}</span>
                        </div>
                    </div>
                    <div class="advantage__line"></div>
                    <div class="advantage__wrapper-right">
                        <p class="advantage__description">{{ local.averageShopCount[$lang] }}</p>
                        <span class="advantage__percent">+40%</span>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</template>

<script>
import NavSection from './NavSection.vue';
import local from '../localisation/secondSectionLocalisation.js';

export default {
    data: () => ({
        local,
    }),
    components: {
        NavSection,
    },
};
</script>

<style lang="scss" scoped>
.wrapper {
    background-color: #ffffff;
    padding-bottom: 40px;
}
.salesUp {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 1680px;
    width: 100%;
    margin: 0 auto;
    &__title {
        margin-top: 122px;
        @media (max-width: 1100px) {
            margin-top: 70px;
        }
        @media (max-width: 900px) {
            margin-top: 50px;
        }
        @media (max-width: 620px) {
            margin-top: 30px;
            font-size: 20px;
            letter-spacing: -0.38px;
            padding-left: 0px;
            padding-right: 0px;
        }
    }
    &__description {
        max-width: 720px;
        @media (max-width: 620px) {
            display: none;
        }
    }
    &__list-advantages {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        padding: 0;
        margin: 0;
        @media (max-width: 620px) {
            flex-direction: column;
        }
    }

    &__item-advantages {
        padding: 0;
        margin: 0;
    }
}
.advantage {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    max-width: 336px;
    width: calc((100% - 80px) / 3);
    height: 600px;
    margin-right: 40px;
    @media (max-width: 900px) {
        margin-right: 10px;
    }
    @media (max-width: 620px) {
        justify-content: space-around;
        align-items: flex-end;
        height: auto;
        min-height: 170px;
        width: 100%;
        flex-direction: row;
        margin-right: 0px;
        margin-top: 90px;
        &:nth-child(1) {
            margin-top: 30px;
        }
        &:nth-child(3) {
            margin-top: 0px;
        }
    }

    &:last-child {
        margin-right: 0px;
    }
    &__wrapper {
        width: 180px;
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        @media (max-width: 900px) {
            justify-content: space-around;
            width: 140px;
        }
        @media (max-width: 620px) {
            width: auto;
        }
    }
    &__progress {
        display: flex;
        flex-direction: column;
        align-items: center;
        position: relative;
        width: 80px;
        border-radius: 4px;
        background-image: linear-gradient(213deg, #31b465, #1c7062);
        @media (max-width: 900px) {
            width: 60px;
        }
        @media (max-width: 620px) {
            width: 50px;
            margin-right: 9px;
        }
        @media  screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
            align-items: flex-start;
        }
    }
    &__progress--yellow {
        background-image: linear-gradient(207deg, #dedc00, #95c11f);
    }
    &__progress--block1 {
        height: 120px;
    }
    &__progress--block2 {
        height: 160px;
    }
    &__progress--block3 {
        height: 262px;
    }
    &__progress--block4 {
        height: 306px;
    }
    &__progress--block5 {
        height: 50px;
    }
    &__progress--block6 {
        height: 70px;
    }

    &__progress-count {
        width: 100%;
        height: 24px;
        position: absolute;
        top: -40px;
        // left: 25%;
        font-family: 'Comfortaa', sans-serif;
        font-size: 24px;
        text-align: center;
        line-height: 1;
        color: #6b7b87;
        @media (max-width: 620px) {
            font-size: 16px;
            top: -25px;
        }
    }
    &__progress-text {
        position: absolute;
        bottom: -30px;
        // left: 25%;
        width: 100%;
        height: 17px;
        text-transform: uppercase;
        font-family: 'Comfortaa', sans-serif;
        font-size: 12px;
        text-align: center;
        font-weight: bold;
        letter-spacing: 0.86px;
        color: #afc3d3;
        @media (max-width: 620px) {
            font-size: 10px;
            bottom: -20px;
        }
    }
    &__line {
        max-width: 336px;
        width: 100%;
        height: 1px;
        background-color: #d1dde6;
        @media (max-width: 900px) {
            max-width: 180px;
        }
        @media (max-width: 620px) {
            position: absolute;
            left: 0;
            display: none;
        }
    }
    &__wrapper-right {
        display: flex;
        flex-direction: column;
        // align-items: center;
    }
    &__description {
        width: 234px;
        height: 60px;
        margin-top: 45px;
        font-family: 'Open Sans', sans-serif;
        font-size: 18px;
        line-height: 1.67;
        text-align: center;
        color: #83919c;
        @media (max-width: 900px) {
            font-size: 14px;
            width: 170px;
        }
        @media (max-width: 620px) {
            text-align: left;
            margin-top: 0px;
            width: 122px;
            height: auto;
        }
    }
    &__description--narrow {
        width: 113px;
    }

    &__percent {
        margin-top: 25px;
        font-family: 'Comfortaa', sans-serif;
        font-size: 20px;
        font-weight: bold;
        letter-spacing: 0.38px;
        text-align: center;
        color: #30b164;
        @media (max-width: 900px) {
            font-size: 18px;
            margin-top: 15px;
        }
        @media (max-width: 620px) {
            // position: absolute;
            font-size: 18px;
            text-align: left;
        }
    }
}
</style>

